For discussion of Alpine Linux development and developer support

2 2

[alpine-devel] Apk upgrade question

qnx4ever
Details
Message ID
<AANLkTi=tgVr=OjHJTw9c0DfCxAcwnhJ10DGPRPY_wOQG@mail.gmail.com>
Sender timestamp
1283430941
DKIM signature
missing
Download raw message
Hello there !
Please confirm if apk upgrade checks the upgraded package dependencies or if
it assumes dependencies didn't change. I had strange issue during 1.10 to
2.0 upgrade getting ncurses unusable, had to reinstall ncurses and I guess
it pulled ncurses-terminfo package which was not there. Possibly ncurses
package structure changed between releases.
Thanks.
Natanael Copa
Details
Message ID
<1283433246.1942.103.camel@ncopa-desktop.nor.wtbts.net>
In-Reply-To
<4C7F9D68.1040603@iki.fi> (view parent)
Sender timestamp
1283433246
DKIM signature
missing
Download raw message
On Thu, 2010-09-02 at 15:49 +0300, Timo Teräs wrote:
> Hi,
> 
> On 09/02/2010 03:35 PM, qnx4ever wrote:
> > Please confirm if apk upgrade checks the upgraded package dependencies
> > or if it assumes dependencies didn't change. I had strange issue during
> > 1.10 to 2.0 upgrade getting ncurses unusable, had to reinstall ncurses
> > and I guess it pulled ncurses-terminfo package which was not there.
> > Possibly ncurses package structure changed between releases.
> 
> Yes, apk should handle this correctly. The upgrade from 1.10 to 2.0
> requires you to:
>  - remove all old 1.10 repositories (you can't mix those two)
>  - use "apk upgrade -a"

and remove gnu wget in case its installed, "apk del wget"

> Otherwise you could have ended up with partial upgrade. The reason is
> that some package versions were not bumped, but they got recompiled and
> have different contents.

Because there were some fixes in 1.10 tree that didnt make sense to do
in edge and 2.0 and vice versa.

-nc




---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Timo Teräs
Details
Message ID
<4C7F9D68.1040603@iki.fi>
In-Reply-To
<AANLkTi=tgVr=OjHJTw9c0DfCxAcwnhJ10DGPRPY_wOQG@mail.gmail.com> (view parent)
Sender timestamp
1283431784
DKIM signature
missing
Download raw message
Hi,

On 09/02/2010 03:35 PM, qnx4ever wrote:
> Please confirm if apk upgrade checks the upgraded package dependencies
> or if it assumes dependencies didn't change. I had strange issue during
> 1.10 to 2.0 upgrade getting ncurses unusable, had to reinstall ncurses
> and I guess it pulled ncurses-terminfo package which was not there.
> Possibly ncurses package structure changed between releases.

Yes, apk should handle this correctly. The upgrade from 1.10 to 2.0
requires you to:
 - remove all old 1.10 repositories (you can't mix those two)
 - use "apk upgrade -a"

Otherwise you could have ended up with partial upgrade. The reason is
that some package versions were not bumped, but they got recompiled and
have different contents.

- Timo


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---